%define anolis_release 1
Summary:    Programs for accessing MS-DOS disks without mounting the disks
Name:       mtools
Version:    4.0.38
Release:    %{anolis_release}%{?dist}
License:    GPLv3+
Source0:    ftp://ftp.gnu.org/gnu/mtools/mtools-%{version}.tar.gz
Url:        https://www.gnu.org/software/mtools/

BuildRequires: make
BuildRequires: gcc
BuildRequires: texinfo, autoconf

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 XDF disks, and 2m disks

Mtools should be installed if you need to use MS-DOS disks

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fiv
%configure --disable-floppyd
%make_build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/%{_infodir}
%make_install
install -m644 mtools.conf $RPM_BUILD_ROOT/etc
gzip -9f $RPM_BUILD_ROOT/%{_infodir}/*

# We aren't shipping this.
find $RPM_BUILD_ROOT -name "floppyd*" -exec rm {} \;

# dir.gz is handled in %%post and %%preun sections
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir.gz

ln -s mtools.5.gz %{buildroot}%{_mandir}/man5/mtools.conf.5.gz

%files
%config(noreplace) /etc/mtools.conf
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README Release.notes
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/mtools.info*

%changelog
* Mon Apr 18 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 4.0.38-1
- Init package from upstream v4.0.38
